colorScheme = "blowfish"
defaultAppearance = "dark"
autoSwitchAppearance = true
enableSearch = true

summaryLength = 0

enableCodeCopy = true

replyByEmail = false

disableImageOptimization = false
disableImageOptimizationMD = false
disableTextInHeader = false

mainSections = ["posts"]

giteaDefaultServer = "https://gitea.benno-lorenz.com"
firebase = { }
fathomAnalytics = { }
selineAnalytics = { }
buymeacoffee = { }
verification = { }
rssnext = { }

defaultBackgroundImage = "background.svg"
defaultFeaturedImage = "background.svg"

highlightCurrentMenuArea = true
smartTOC = true
smartTOCHideUnfocusedChildren = false

[header]
layout = "fixed-fill-blur"

[footer]
showMenu = true
showCopyright = true
showThemeAttribution = true
showAppearanceSwitcher = true
showScrollToTop = true

[homepage]
layout = "background"
homepageImage = "background.svg"

showRecent = false
showRecentItems = 5
cardView = true
cardViewScreenWidth = true
layoutBackgroundBlur = false

showMoreLink = true
showMoreLinkDest = "/posts"
disableHeroImagefilter = true

[article]
showDate = true
# Firebase Stuff
showViews = false
showLikes = false

showDateOnlyInArticle = false
showDateUpdated = false

showAuthor = true
showAuthorBottom = true

showHero = true
heroStyle = "background" 
layoutBackgroundBlur = true
layoutBackgroundHeaderSpace = true

showBreadcrumbs = false
showDraftLabel = true

showEdit = false
editAppendPath = true

seriesOpened = true

showHeadingAnchors = true
showPagination = true
invertPagination = false

showReadingTime = true
showTableOfContents = false

showTaxonomies = false
showCategoryOnly = false

showAuthorsBadges = false
showWordCount = true
showZenMode = true

[list]
showHero = true
heroStyle = "background"
layoutBackgroundBlur = true
layoutBackgroundHeaderSpace = false
showBreadcrumbs = false
showSummary = true
showViews = false
showLikes = false
showTableOfContents = true
showCards = true
orderByWeight = false
groupByYear = true

cardView = true
cardViewScreenWidth = true

constrainItemsWidth = true

[sitemap]
excludedKinds = [ "taxonomy", "term" ]

[taxonomy]
showTermCount = true
showHero = false
showBreadcrumbs = false
showViews = false
showLikes = false
showTableOfContents = false
cardView = false

[term]
showHero = false
showBreadcrumbs = false
showViews = false
showLikes = false
showTableOfContents = true
groupByYear = false
cardView = false
cardViewScreenWidth = false

#Analytics
[umamiAnalytics]
websiteId = "1056801d-9d30-4723-bb11-30ce4a161851"
domain = "umami.benno-lorenz.com"
enableTrackEvents = true